package com.hnshituo.core.auth.mapper;

import java.util.List;

import com.hnshituo.core.auth.vo.Department;
import com.hnshituo.orm.GenericMapper;

public interface DepartmentMapper extends GenericMapper<Department, String> {
	public boolean isNameExist(String name);
	
	/**
	  * 获取该部门下及其下所有子部门（包括跨级子部门）
	 * @param id
	 * */
	public List<Department> doQueryById(Department t);
	
	/**
	 * 获取该部门下所有子部门（包括跨级子部门）
	 * @param pid
	 * @return
	 */
	public List<Department> doQueryByPid(Department t);
	
	public void doDelete(Department t);
}
